Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Class AbstractInstance

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.AbstractInstance

All Implemented Interfaces:
  Instance

Direct Known Subclasses:
  AbstractInstanceCustomization, AbstractInstanceDefinition

    public abstract class AbstractInstance

extends java.lang.Object
implements Instance

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.portlet.PortletContext` | `portletContext` Composite representation of portletRef + state.
`protected java.lang.String` | `portletRef` .
`protected byte[]` | `state` .

Fields inherited from interface org.jboss.portal.core.model.instance.Instance
`INSTANCE_ID_ATTRIBUTE`

Constructor Summary
`protected` | `AbstractInstance()`

Method Summary
`protected abstract void` | `cloned(org.jboss.portal.portlet.PortletContext portletContext)`
`void` | `destroyCustomization(java.lang.String customizationId)` Destroy the customization
`protected abstract org.jboss.portal.portlet.state.AccessMode` | `getAccessMode()`
`InstanceContainer` | `getContainer()` Return the container of this object.
`protected abstract InstanceContainerContext` | `getContainerContext()`
`InstanceCustomization` | `getCustomization(java.lang.String customizationId)` Return a customization of this instance related to the provided customization id.
`InstanceDefinition` | `getDefinition()`
`protected abstract java.lang.String` | `getInstanceId()`
`protected abstract org.apache.log4j.Logger` | `getLogger()`
`protected abstract AbstractInstanceDefinition` | `getOwner()`
`org.jboss.portal.portlet.Portlet` | `getPortlet()` Return the runtime metadata for this portlet.
`org.jboss.portal.portlet.PortletContext` | `getPortletContext()`
`java.lang.String` | `getPortletRef()`
`org.jboss.portal.portlet.state.PropertyMap` | `getProperties()` Return the instance preferences.
`org.jboss.portal.portlet.state.PropertyMap` | `getProperties(java.util.Set keys)` Return the instance preferences.
`byte[]` | `getState()`
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)` Invoke the instance
`boolean` | `isModifiable()`
`protected abstract boolean` | `isMutable()`
`protected void` | `modified(org.jboss.portal.portlet.PortletContext portletContext)`
`protected abstract void` | `setMutable(boolean modifiable)`
`void` | `setPortletRef(java.lang.String portletRef)`
`void` | `setProperties(org.jboss.portal.portlet.state.PropertyChange[] changes)` Update the prefs of this instance.
`void` | `setState(byte[] state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.instance.Instance
`getDisplayName, getId, setDisplayName`

Field Detail

### portletRef

    protected java.lang.String portletRef

  .

### state

    protected byte[] state

  .

### portletContext

    protected org.jboss.portal.portlet.PortletContext portletContext

  Composite representation of portletRef + state.

Constructor Detail

### AbstractInstance

    protected AbstractInstance()

Method Detail

### getPortletRef

    public java.lang.String getPortletRef()

### setPortletRef

    public void setPortletRef(java.lang.String portletRef)

### getState

    public byte[] getState()

### setState

    public void setState(byte[] state)

### getPortletContext

    public final org.jboss.portal.portlet.PortletContext getPortletContext()

### isModifiable

    public final boolean isModifiable()

### isMutable

    protected abstract boolean isMutable()

### setMutable

    protected abstract void setMutable(boolean modifiable)

### getLogger

    protected abstract org.apache.log4j.Logger getLogger()

### getAccessMode

    protected abstract org.jboss.portal.portlet.state.AccessMode getAccessMode()

### cloned

    protected abstract void cloned(org.jboss.portal.portlet.PortletContext portletContext)

### getOwner

    protected abstract AbstractInstanceDefinition getOwner()

### getContainerContext

    protected abstract InstanceContainerContext getContainerContext()

### getInstanceId

    protected abstract java.lang.String getInstanceId()

### modified

    protected final void modified(org.jboss.portal.portlet.PortletContext portletContext)

### getDefinition

    public final InstanceDefinition getDefinition()

### getPortlet

    public final org.jboss.portal.portlet.Portlet getPortlet()
                                                      throws org.jboss.portal.portlet.PortletInvokerException

  Description copied from interface: `Instance`
  Return the runtime metadata for this portlet.

  Specified by:
    `getPortlet` in interface `Instance`
  Returns:
    the info
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getContainer

    public final InstanceContainer getContainer()

  Description copied from interface: `Instance`
  Return the container of this object.

  Specified by:
    `getContainer` in interface `Instance`
  Returns:
    the instance container

### setProperties

    public final void setProperties(org.jboss.portal.portlet.state.PropertyChange[] changes)
                             throws org.jboss.portal.portlet.PortletInvokerException

  Description copied from interface: `Instance`
  Update the prefs of this instance.

  Specified by:
    `setProperties` in interface `Instance`
  Parameters:
    `changes` - the changes
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getProperties

    public final org.jboss.portal.portlet.state.PropertyMap getProperties()
                                                                   throws org.jboss.portal.portlet.PortletInvokerException

  Description copied from interface: `Instance`
  Return the instance preferences.

  Specified by:
    `getProperties` in interface `Instance`
  Returns:
    the prefs
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getProperties

    public final org.jboss.portal.portlet.state.PropertyMap getProperties(java.util.Set keys)
                                                                   throws org.jboss.portal.portlet.PortletInvokerException

  Description copied from interface: `Instance`
  Return the instance preferences.

  Specified by:
    `getProperties` in interface `Instance`
  Returns:
    the prefs
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### invoke

    public final org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                                                                                        throws org.jboss.portal.portlet.PortletInvokerException

  Description copied from interface: `Instance`
  Invoke the instance

  Specified by:
    `invoke` in interface `Instance`
  Parameters:
    `invocation` - the invocation
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getCustomization

    public final InstanceCustomization getCustomization(java.lang.String customizationId)

  Description copied from interface: `Instance`
  Return a customization of this instance related to the provided customization id.

  Specified by:
    `getCustomization` in interface `Instance`
  Returns:
    an instance customization

### destroyCustomization

    public final void destroyCustomization(java.lang.String customizationId)

  Description copied from interface: `Instance`
  Destroy the customization

  Specified by:
    `destroyCustomization` in interface `Instance`
  Parameters:
    `customizationId` - the id of the customization to destroy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD